Vagrant.configure("2") do |config|
  config.vm.box = "centos/7"

  config.vm.define 'postgres01'
  config.vm.hostname = 'postgres01'

  config.vm.provider :libvirt do |libvirt|
    libvirt.cpus = 2
    libvirt.memory = 4096
  end

  config.vm.provision "shell", inline: <<-SHELL
    yum install -y python libselinux-python
  SHELL

  config.vm.provision "ansible" do |ansible|
    ansible.playbook = 'bootstrap.yml'
    ansible.extra_vars = {
      ansible_python_interpreter: '/usr/bin/python'
    }
  end
end
